<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_Account
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * 
 * @category    Ecart
 * @package     Ecart_Account
 * @subpackage  Model
 * @author      Ecart Core Team <core@ecartcommerce.com>
 */
class Ecart_Account_Model_Customer_ValueSet extends Ecart_Db_Table 
{
    protected $_name = 'account_customer_valueset';

    /**
     *
     * @return array
     */
    public function getValueSets()
    {
        return $this->fetchAll()->toArray();
    }

    /**
     *
     * @param array $data
     * @return mixed (bool|int)
     */
    public function save($data)
    {
        if (!sizeof($data))
            return false;
        
        $row = array(
            'name' => $data['valueSetName']
        );
        
        $validator = new Zend_Validate_Digits();
        
        if ($validator->isValid($data['valueSetId'])) {
            $valuesetId = $this->update(
                $row, $this->getAdapter()->quoteInto('id = ?', $data['valueSetId'])
            );
        } else {
            $valuesetId = $this->insert($row);
        }
        Ecart::message()->addSuccess(
            Ecart::translate('core')->__(
                'Data was saved successfully'
            )
        );
        return $valuesetId;
    }
}