<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_Admin
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * 
 * @category    Ecart
 * @package     Ecart_Admin
 * @subpackage  Box
 * @author      Ecart Core Team <core@ecartcommerce.com>
 * @abstract
 */
abstract class Ecart_Admin_Box_Abstract extends Ecart_Core_Box_Abstract
{
    public function toHtml()
    {
        if (!$this->_isAllowed
            || false === $this->initData() 
            || !$this->hasContent()) {

            return '';
        }
        self::$view->box = $this;
        
        if (empty($this->_data['template'])) {
            $templateName = $this->_data['boxName'];
            $templateName[0] = strtolower($templateName[0]);
            $this->template = $templateName . '.phtml';
        }
        
        if ($this->disableWrapper) {
            $boxPath = 'box/' . $this->template;
            return self::$view->render($boxPath);
        }
        return self::$view->render('box/box.phtml');
    }
}