<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_Admin
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * 
 * @category    Ecart
 * @package     Ecart_Admin
 * @subpackage  Controller
 * @author      Ecart Core Team <core@ecartcommerce.com>
 */
class Ecart_Admin_AuthController extends Ecart_Admin_Controller_Back
{
    public function init()
    {
        $this->_disableAcl  = true;
        $this->_disableAuth = true;
        parent::init();
    }
    
    public function indexAction()
    {
        if (Zend_Auth::getInstance()->hasIdentity()) {
            $this->_redirect('index');
        }
        $this->_helper->layout->disableLayout();
        if ($this->_hasParam('messages')) {
            $this->view->messages = $this->_getParam('messages');
        }
        $this->render('form-login');
    }

    public function loginAction()
    {
        $username = $this->_getParam('username');
        $password = $this->_getParam('password');
        $auth = Zend_Auth::getInstance();
        $authAdapter = new Ecart_Auth_AdminAdapter($username, $password);
        
        $result = $auth->authenticate($authAdapter);
        
        if (!$result->isValid()) {
            Ecart::dispatch('admin_user_login_failed', array('username' => $username));
            $this->_redirect($_SERVER['HTTP_REFERER']);
        } else {
            Ecart::dispatch('admin_user_login_success', array('username' => $username));
            Ecart::session()->roleId = Ecart::single('admin/user')->getRole($result->getIdentity());
            $this->_redirect($_SERVER['HTTP_REFERER']);
        }
    }
    
    public function logoutAction()
    {
        Zend_Auth::getInstance()->clearIdentity();
        unset(Ecart::session()->roleId);
        $this->_redirect('auth');
    }
}
