<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_Admin
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * 
 * @category    Ecart
 * @package     Ecart_Admin
 * @subpackage  Controller
 * @author      Ecart Core Team <core@ecartcommerce.com>
 */
class Ecart_Admin_Customer_EmailController extends Ecart_Admin_Controller_Back 
{
	public function sendAction()
	{
		$this->_helper->layout->disableLayout();
	    $data = $this->_getAllParams();
		$customerId = Ecart::single('account/customer')->getIdByEmail($data['email']);
        $customer = Ecart::single('account/customer')->find($customerId)->current();
        
		$from = Ecart_Collect_MailBoxes::getName(Ecart::config()->mail->main->mtcFrom);
		$mail = new Ecart_Mail();
        $mail->setConfig(array(
            'event'   => 'default',
            'subject' => $data['subject'],
            'data'    => array(
                'text' => $data['message'], 
                'firstname' => $customer->firstname,
                'lastname' => $customer->lastname
            ),
            'to'      => $data['email'],
            'from'    => array('email' => $from),
            'type'    => 'html'   
        ));
        $mail->send();
	}
}
