<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_Admin
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * 
 * @category    Ecart
 * @package     Ecart_Admin
 * @subpackage  Controller
 * @author      Ecart Core Team <core@ecartcommerce.com>
 */
class Ecart_Admin_LogController extends Ecart_Admin_Controller_Back
{
    /**
     *
     * @var Ecart_Log_Model_Visitor
     */
    protected $_table;
    
    public function init()
    {
        parent::init();
        $this->_table = Ecart::single('log/visitor');
    }

    public function indexAction()
    {
        $this->view->pageTitle = Ecart::translate('admin')->__('Pageviews');
        
        $this->render();
    }

    public function listAction()
    {
        $this->_helper->layout->disableLayout();
        
        $field = new Ecart_Filter_DbField();
        $params = array(
            'start' => (int) $this->_getParam('start', 0),
            'limit' => (int) $this->_getParam('limit', 40),
            'sort' => $field->filter($this->_getParam('sort', 'id')),
            'dir' => $field->filter($this->_getParam('dir', 'DESC')),
            'filters' => $this->_getParam('filter', array())
        );
        $dataset = Ecart::single('log/url_info')->getList($params);
        $count = Ecart::single('log/url_info')->countByFilter($params);
        $this->_helper->json->sendSuccess(array(
            'data' => $dataset,
            'count' => $count
        ));
    }
}
