<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_Catalog
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * 
 * @category    Ecart
 * @package     Ecart_Catalog
 * @subpackage  Model
 * @author      Ecart Core Team <core@ecartcommerce.com>
 */
class Ecart_Catalog_Model_Product_Attribute_Row extends Ecart_Db_Table_Row
{
    public function isVariation()
    {
        return $this->product_variation_id != '0';
    }
    
    public function isModifier()
    {
        return $this->modifier == '1' && !$this->isVariation();
    }
    
    public function isProperty()
    {
        return $this->modifier == '0' && !$this->isVariation();
    }
    
    public function isInputable()
    {
        return $this->getOption()->isInputable();
    }
    
    public function getOption()
    {
        return $this->findParentRow('Ecart_Catalog_Model_Product_Option', 'Option');
    }
    
    public function getValue()
    {
        if ($this->product_option_value_id)
            return $this->findParentRow('Ecart_Catalog_Model_Product_Option_Value', 'Value');
        return null;
    }
    
    public function getAttributeValues()
    {
        $mAttrValue = Ecart::single('catalog/product_attribute_value');
        $select = $mAttrValue->select()
            ->where('product_attribute_id = ?', $this->id);
        return $mAttrValue->fetchAll($select);
    }
    
    public function getVariation()
    {
        return $this->findParentRow('Ecart_Catalog_Model_Product_Variation', 'Variation');
    }
}