<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_Catalog
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * 
 * @category    Ecart
 * @package     Ecart_Catalog
 * @subpackage  Model
 * @author      Ecart Core Team <core@ecartcommerce.com>
 */
class Ecart_Catalog_Model_Product_Attribute_Value extends Ecart_Db_Table 
{
    protected $_name = 'catalog_product_attribute_value';
    protected $_primary = array('product_attribute_id', 'language_id');
    protected $_referenceMap = array(
        'Product' => array(
            'columns'           => 'product_attribute_id',
            'refTableClass'     => 'Ecart_Catalog_Model_Product_Attribute',
            'refColumns'        => 'id'
        )
    );
    
    public function saveValue($value)
    {
        if (!$value['language_id']) {
             $langWhere = 'language_id IS NULL';
             $value['language_id'] = new Zend_Db_Expr('NULL');
        } else {
            $langWhere = 'language_id = ' . (int) $value['language_id'];
        }
        
        $exists = $this->getAdapter()->fetchOne(
            'SELECT COUNT(*) FROM ' . $this->_name . ' 
            WHERE product_attribute_id = ? AND ' . $langWhere,
            $value['product_attribute_id']
        );
        if (!$exists) {
            return $this->insert($value);
        } else {
            return $this->update(array('attribute_value' => $value['attribute_value']), 
                array(
                    'product_attribute_id = ' . (int) $value['product_attribute_id'],
                    $langWhere
                )
            );
        }
    }
}