<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_Catalog
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * 
 * @category    Ecart
 * @package     Ecart_Catalog
 * @subpackage  Model
 * @author      Ecart Core Team <core@ecartcommerce.com>
 */
class Ecart_Catalog_Model_Product_Option_Value_Text extends Ecart_Db_Table
{
    protected $_name = 'catalog_product_option_value_text';
    protected $_primary = array('product_option_value_id', 'language_id');
    protected $_referenceMap    = array(
        'Value' => array(
            'columns'           => 'product_option_value_id',
            'refTableClass'     => 'Ecart_Catalog_Model_Product_Option_Value',
            'refColumns'        => 'id'
        )
    );
    
    /**
     * @return array
     */
    public function fetchAssoc($key = null, $where = null, $order = null, $count = null, $offset = null, $toArray = false)
    {
        if (!($where instanceof Zend_Db_Table_Select)) {
            $select = $this->select();
            
            if (null !== $where) {
                $this->_where($select, $where);
            }

            if (null !== $order) {
                $this->_order($select, $order);
            }

            if (null !== $count || null !== $offset) {
                $select->limit($count, $offset);
            }
        } else {
            $select = $where;
        }
        return $this->getAdapter()->fetchAssoc($select->__toString());
    }
}