<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_Catalog
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * 
 * @category    Ecart
 * @package     Ecart_Catalog
 * @subpackage  Model
 * @author      Ecart Core Team <core@ecartcommerce.com>
 */
class Ecart_Catalog_Model_Product_Variation extends Ecart_Db_Table
{
    protected $_name = 'catalog_product_variation';
    protected $_dependentTables = array('Ecart_Catalog_Model_Product_Attribute');
    protected $_referenceMap = array(
        'Product' => array(
            'columns'           => 'product_id',
            'refTableClass'     => 'Ecart_Catalog_Model_Product',
            'refColumns'        => 'id'
        )
    );
    
    public function insert(array $data)
    {
        if (empty($data['weight']))
            $data['weight'] = '0';
        if (empty($data['price']))
            $data['price'] = '0';
        return parent::insert($data);
    }

    public function getVariationsByProductIds(array $productIds)
    {
        $rowset = $this->fetchAll(
            $this->getAdapter()->quoteInto('product_id IN (?) OR product_id IS NULL', $productIds)
        );
        $result = array();
        $nullVariation = false;
        foreach ($productIds as $productId) {
//            //$result[$productId][0] = $rowset->current()->toArray(); not work why ???
//            foreach ($rowset as $row) {
//                if (empty($row->product_id)) {
//                    $nullVariation = $row->toArray();
//                    break;
//                }
//
//            }
//            $result[$productId][0] = $nullVariation;
//            //
            foreach ($rowset as $row) {
                if ($productId == $row->product_id) {
                    $result[$row->product_id][$row->id] = $row->toArray();
                }
            }
        }
        return $result;
    }
}