<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_Checkout
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * 
 * @category    Ecart
 * @package     Ecart_Checkout
 * @subpackage  Box
 * @author      Ecart Core Team <core@ecartcommerce.com>
 */
class Ecart_Checkout_Box_Cart extends Ecart_Core_Box_Abstract
{
    protected $_title = 'Shopping Cart';
    
    protected $_class = 'box-shopping-cart';
    
    protected $_url = 'checkout/cart';
    
    public function init()
    {
        $this->updateData(array(
            'items' => Ecart::single('checkout/cart')->getProducts(),
            'sum' => Ecart::single('checkout/cart')->getTotalPrice(),
            'count' => Ecart::single('checkout/cart')->getCount()
        ));
    }
}