<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_Checkout
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * 
 * @category    Ecart
 * @package     Ecart_Checkout
 * @subpackage  Model
 * @author      Ecart Core Team <core@ecartcommerce.com>
 */
class Ecart_Checkout_Model_Total_Shipping extends Ecart_Checkout_Model_Total_Abstract
{
    protected $_code = 'Checkout_Shipping';
    protected $_title = 'Shipping';

    public function collect(Ecart_Checkout_Model_Total $total)
    {
        $checkout = Ecart::single('checkout/checkout');
        $shipping = $checkout->shipping();
        if (null === $shipping) {
            return false;
        }
        $type = $shipping->getType($checkout->getShippingRequest(), $checkout->getStorage()->shipping);
        $total->addCollect(array(
            'code'  => $this->getCode(),
            'title' => 'Shipping',
            'total' => $type['price'],
            'sortOrder' => $this->_config->sortOrder
        ));
    }
}