<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_Cms
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * 
 * @category    Ecart
 * @package     Ecart_Cms
 * @subpackage  Model
 * @author      Ecart Core Team <core@ecartcommerce.com>
 */
class Ecart_Cms_Model_Page extends Ecart_Db_Table
{
    protected $_name = 'cms_page';
    protected $_rowClass = 'Ecart_Cms_Model_Page_Row';
    
    public function getPageId($link) 
    {
        $query = "SELECT cpc.cms_page_id
                  FROM " . self::$_db_prefix . "cms_page_content as cpc
                  WHERE  cpc.link = '$link'";
                  
        return $this->getAdapter()->fetchCol($query);
    }
    
    /**
     *  return root cms pages 
     * 
     */
    public function getBoxPages()
    {
        $langId = Ecart::getLanguageId();
        $query = "SELECT DISTINCT cpc.link, cpc.title, cp.id
                  FROM {$this->_name} as cp
                  LEFT JOIN " . self::$_db_prefix . "cms_page_content as cpc ON cpc.cms_page_id = cp.id
                  LEFT JOIN " . self::$_db_prefix . "cms_page_category as cptc ON cptc.cms_page_id = cp.id
                  LEFT JOIN " . self::$_db_prefix . "cms_category_content as ccc ON ccc.cms_category_id = cptc.cms_category_id
                  LEFT JOIN " . self::$_db_prefix . "cms_category as cc ON ccc.cms_category_id = cc.id 
                  WHERE cp.show_in_box = 1
                      AND cp.is_active = 1
                      AND cc.is_active = 1
                      AND cpc.language_id = {$langId}
                      AND cpc.link is not NULL";
                  
        return $this->getAdapter()->fetchAll($query);
    }
    
    public function getPageListByActiveCategory($catIds, $langId)
    {
        $select = $this->getAdapter()->select();
        $select->from(array('cp' => $this->_name), array('id', 'name'))
               ->join(array('cptc' => self::$_db_prefix . 'cms_page_category'),
                    'cp.id = cptc.cms_page_id',
                    'cms_category_id')
               ->join(array('cpc' => self::$_db_prefix . 'cms_page_content'),
                    'cp.id = cpc.cms_page_id',
                    array('link', 'title'))
               ->where('cp.is_active = 1 ')
               ->where('cpc.language_id = ?', $langId);
        if ($catIds)
            $select->where($this->getAdapter()->quoteInto('cptc.cms_category_id IN (?)', $catIds));
        else 
            return array();
        return $this->getAdapter()->fetchAssoc($select->__toString());
    }
}