<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_Community
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * 
 * @category    Ecart
 * @package     Ecart_Community
 * @subpackage  Validator
 * @author      Ecart Core Team <core@ecartcommerce.com>
 */
class Ecart_Community_Validate_Nickname extends Zend_Validate_Abstract
{
    public function isValid($value)
    {
        $query = "SELECT acd.id 
            FROM " . Ecart_Db_Table::getPrefix() . "account_customer_detail AS acd
            INNER JOIN " . Ecart_Db_Table::getPrefix() . "account_customer_field AS acf 
                ON acf.id = acd.customer_field_id
            WHERE acf.name = 'nickname'";
        
        $query .= Ecart::db()->quoteInto(' AND acd.data = ?', $value);
        
        if ($customerId = Ecart::getCustomerId()) {
            $query .= " AND acd.customer_id <> {$customerId}";
        }
        
        if (Ecart::db()->fetchOne($query)) {
            $this->_messages[] = Ecart::translate('community')->__(
                "Nickname '%s' is already in use. Choose a different one",
                $value
            );
            return false;
        }
        return true;
    }
}