<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_Contacts
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * 
 * @category    Ecart
 * @package     Ecart_Contacts
 * @subpackage  Model
 * @author      Ecart Core Team <core@ecartcommerce.com>
 */
class Ecart_Contacts_Model_Department extends Ecart_Db_Table 
{
    protected $_name = 'contacts_department';
    protected $_primary = 'id';
    
    public function save($data)
    {
        if ($data['id'] == 0) {
            unset($data['id']);
            $this->insert($data);
        } else {
            $this->update(
                $data, $this->getAdapter()->quoteInto('id = ?', $data['id'])
            );
        }
        Ecart::message()->addSuccess(
            Ecart::translate('contacts')->__(
               'Department was saved succesfully'
            )
        );
    }
}