<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_Core
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * 
 * @category    Ecart
 * @package     Ecart_Core
 * @subpackage  Controller
 * @author      Ecart Core Team <core@ecartcommerce.com>
 */
class Ecart_Core_Controller_Front extends Ecart_Controller_Action
{
    public function auth()
    {
        if (!Ecart::getCustomerId()) {
            $this->_redirect('/account/auth');
        }
    }
    
    public function init()
    {
        parent::init();
        Ecart::single('account/customer')->checkIdentity();
        $this->view->crumbs()->add(
            Ecart::translate('core')->__(
                'Home'
            ),
            $this->view->href('/')
        );
    }
    
    /**
     * Redirect to another URL
     *
     * @param string $url [optional]
     * @param bool $addLanguage [optional]
     * @param array $options Options to be used when redirecting
     * @return void
     */
    protected function _redirect(
        $url, array $options = array(), $addLanguage = true)
    {
        if ((isset($_SERVER['HTTP_REFERER']) &&
                $url == $_SERVER['HTTP_REFERER'])
            || !$addLanguage) {

            parent::_redirect($url, $options);
            exit();
        }
        parent::_redirect(
            rtrim(Ecart_Locale::getLanguageUrl(), '/') . '/' . ltrim($url, '/'),
            $options
        );
    }
}