<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_Discount
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * @var Ecart_Install_Model_Installer
 */
$installer = Ecart::single('install/installer');

$installer->startSetup();

/**
 * create: 
 *  catalog_category_description,
 *  discount,
 *  discount_eav
 */
$installer->run("

-- DROP TABLE IF EXISTS `{$installer->getTable('discount')}`;
CREATE TABLE  `{$installer->getTable('discount')}` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL,
  `description` text,
  `from_date` date default NULL,
  `to_date` date default NULL,
  `is_active` tinyint(1) unsigned NOT NULL default '0',
  `type` varchar(10) NOT NULL,
  `amount` decimal(12,4) NOT NULL,
  `priority` tinyint(2) unsigned default NULL,
  `is_combined` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `{$installer->getTable('discount_eav')}`;
CREATE TABLE  `{$installer->getTable('discount_eav')}` (
  `discount_id` int(10) unsigned NOT NULL,
  `entity` varchar(25) NOT NULL,
  `value` int(11) NOT NULL,
  KEY `discount_fk_constraint` (`discount_id`),
  CONSTRAINT `discount_fk_constraint` FOREIGN KEY (`discount_id`) REFERENCES `{$installer->getTable('discount')}` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

");

Ecart::single('admin/acl_resource')
    ->add('admin/discount_index', 'Discounts')
    ->add("admin/discount_index/create")
    ->add("admin/discount_index/delete")
    ->add("admin/discount_index/edit")
    ->add("admin/discount_index/index")
    ->add("admin/discount_index/save")
    ;

Ecart::single('admin/menu')
    ->add('Marketing', '#', 40)
    ->add('Marketing->Discounts', 'discount_index', 10);

$installer->registerModule('Ecart_Discount');

$installer->endSetup();