<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_GoogleAnalytics
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * @var Ecart_Install_Model_Installer
 */
$installer = Ecart::single('install/installer');

$installer->startSetup();

Ecart::single('core/config_field')
    ->add('analytics/main/uacct', 'Google analytics/Main/GOOGLE_ANALYTICS_UACCT', '', 'handler', '@todo enter description', array('model' => 'Crypt'))
    ->add('analytics/main/used', 'Enabled', 0 , 'bool')
    ->add('analytics/main/usedPageName', 'USE PAGENAME',1 , 'bool')
    ->add('analytics/main/affiliation', 'Optional partner or store affilation', '' )
    ->add('analytics/attributes/brackets', 'Google analytics/Products attributes/PRODUCTS ATTRIBUTES BRACKETS', '[]')
    ->add('analytics/attributes/delimiter', 'PRODUCTS ATTRIBUTES DELIMITER', ';')
    ->add('analytics/conversion/used', 'Google analytics/Conversion option/Enabled', 1, 'bool', 'Enabled currency convertion')
    ->add('analytics/conversion/id', 'Id', '"')
    ->add('analytics/conversion/language', 'Language(en_EN)', 'en_EN')
    ->add('analytics/tracking/used', 'Google analytics/Tracking options/Enabled', 1, 'bool', 'Enabled tracking')
    ->add('analytics/tracking/linksPrefix', 'Prefix');
    
$installer->registerModule('Ecart_GoogleAnalytics');

$installer->endSetup();