<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_GoogleBase
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * @var Ecart_Install_Model_Installer
 */
$installer = Ecart::single('install/installer');

$installer->startSetup();

Ecart::single('core/config_field')
    ->add('gbase/main/payment', 'Google base/Main/Payment', 'Discover,American Express,Visa,MasterCard,Check', 'multiple', 'Let your customers buy with all major credit cards', array('config_options' => 'Discover,American Express,Visa,MasterCard,Wire transfer,Check,Cash'))
    ->add('gbase/main/notes', 'Payment notes', 'Google Checkout', 'string')
    ->add('gbase/main/application', 'Application', 'StoreArchitect-Ecart-0.42', 'string', 'Name of the application that last modified this item.\r\nAll applications should set this attribute whenever they insert or update an item. Recommended format : Organization-ApplicationName-Version')
    ->add('gbase/main/dryRun', 'dryRun', '0', 'bool', 'Set "Yes" for testing, "No" for production')
    ->add('gbase/main/link', 'Link products to', 'Website', 'select', "If you want to use GoogleBase pages as landing page for your items, or you  can't give the link to your webstore - select Google base, otherwise - select Website.", array('config_options' => 'GoogleBase,Website'))
    ->add('gbase/main/itemType', 'Item type', 'Products', 'string', 'Type of your products. Read this for more information http://code.google.com/apis/base/starting-out.html#ItemTypes')
    ->add('gbase/auth/login', 'Login', '', 'handler', 'Your google account to submit products', array('model' => 'Crypt'))
    ->add('gbase/auth/password', 'Password', '', 'handler', 'Password to google account', array('model' => 'Crypt'))
    ->add('gbase/auth/connection', 'Connection type', 'AuthSub', 'select', 'Login type. For ClientLogin fill login and password fields. For AuthSub you will have to enter login and password manually', array('config_options' => 'ClientLogin,AuthSub'));

Ecart::single('admin/menu')
    ->add('Marketing', '#', 40)
    ->add('Marketing->Google base', 'gbase_index', 20);
    
Ecart::single('admin/acl_resource')
    ->add('admin/gbase', 'Google Base')
    ->add('admin/gbase_index', 'Google Base')
    ->add("admin/gbase_index/delete")
    ->add("admin/gbase_index/export")
    ->add("admin/gbase_index/export-branch")
    ->add("admin/gbase_index/get-gbase-data")
    ->add("admin/gbase_index/index")
    ->add("admin/gbase_index/revoke-token")
    ->add("admin/gbase_index/set-status")
    ->add("admin/gbase_index/update");
        
$installer->registerModule('Ecart_GoogleBase');

$installer->endSetup();