<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_Locale
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * @var Ecart_Install_Model_Installer
 */
$installer = Ecart::single('install/installer');

$installer->startSetup();


/**
 * created tables:
 *  locale_currency,
 *  locale_language
 */

$installer->run("

-- DROP TABLE IF EXISTS `{$installer->getTable('locale_currency')}`;
CREATE TABLE IF NOT EXISTS `{$installer->getTable('locale_currency')}` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `code` char(3) NOT NULL,
  `title` varchar(128) NOT NULL,
  `position` tinyint(1) unsigned default NULL,
  `display` tinyint(2) unsigned default NULL,
  `format` varchar(10) default NULL,
  `currency_precision` tinyint(3) unsigned NOT NULL default '2',
  `rate` decimal(7,4) unsigned NOT NULL default '1.0000',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1;

-- DROP TABLE IF EXISTS `{$installer->getTable('locale_language')}`;
CREATE TABLE IF NOT EXISTS `{$installer->getTable('locale_language')}` (
  `id` smallint(5) unsigned NOT NULL auto_increment,
  `code` varchar(3) NOT NULL,
  `language` varchar(128) NOT NULL,
  `locale` varchar(5) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `Index_code` (`code`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1;

");

Ecart::single('core/cache')
    ->add('locales', 0, 864000); //10 days

Ecart::single('admin/menu')
    ->add('Localization', '#', 80)
    ->add('Localization->Currency', 'locale_currency', 10)
    ->add('Localization->Language', 'locale_language', 20);
    
Ecart::single('admin/acl_resource')
    ->add('admin/locale', 'Locale')
    ->add('admin/locale_currency', 'Currency')
    ->add("admin/locale_currency/batch-save")
    ->add("admin/locale_currency/delete")
    ->add("admin/locale_currency/index")
    ->add("admin/locale_currency/list")
    ->add("admin/locale_currency/save")
    
    ->add('admin/locale_language', 'Language')
    ->add("admin/locale_language/change")
    ->add("admin/locale_language/delete")
    ->add("admin/locale_language/index")
    ->add("admin/locale_language/list")
    ->add("admin/locale_language/save");

$installer->registerModule('Ecart_Locale');

$installer->endSetup();