<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_Log
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * 
 * @category    Ecart
 * @package     Ecart_Log
 * @subpackage  Model
 * @author      Ecart Core Team <core@ecartcommerce.com>
 */
class Ecart_Log_Model_Url extends Ecart_Db_Table
{
    protected $_name = 'log_url';
    
    public function insert(array $data)
    {
        // @todo INSERT DELAYED
        if (isset($data['visitor_id'])) {
           $visitorId = $data['visitor_id'];
           unset($data['visitor_id']);
        }
        if (empty($data['url_id']))
            $data['url_id'] = Ecart::single('log/visitor')->getLastUrlId($visitorId);
        if (empty($data['visitor_id']))
            $data['visitor_id'] =  Ecart_Log_Model_Visitor::getId();
        if (empty($data['visit_at']))
            $data['visit_at'] = Ecart_Date::now()->toZendDbExpr();
        if (empty($data['site_id']))
            $data['site_id'] = Ecart::getSiteId();
        return parent::insert($data);
    }
}