<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_Log
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * 
 * @category    Ecart
 * @package     Ecart_Log
 * @subpackage  Model
 * @author      Ecart Core Team <core@ecartcommerce.com>
 */
class Ecart_Log_Model_Visitor_Info extends Ecart_Db_Table
{
    protected $_name = 'log_visitor_info';
    
    protected  function _fillRow(array $data) 
    {
        if (empty($data['http_refer']))
            $data['http_refer'] = empty($_SERVER['HTTP_REFERER']) ?
                '' : $_SERVER['HTTP_REFERER'];
        if (empty($data['user_agent']))
            $data['user_agent'] = empty($_SERVER['HTTP_USER_AGENT']) ?
                '' : $_SERVER['HTTP_USER_AGENT'];
        if (empty($data['http_accept_charset']))
            $data['http_accept_charset'] = empty($_SERVER['HTTP_ACCEPT_CHARSET']) ?
                '' : $_SERVER['HTTP_ACCEPT_CHARSET'];
        if (empty($data['http_accept_language']))
            $data['http_accept_language'] = empty($_SERVER['HTTP_ACCEPT_LANGUAGE']) ?
                '' : $_SERVER['HTTP_ACCEPT_LANGUAGE'];
        if (empty($data['server_addr']))
            $data['server_addr'] = empty($_SERVER['SERVER_ADDR']) ?
                '' : $_SERVER['SERVER_ADDR'];
        if (empty($data['remote_addr']))
            $data['remote_addr'] = empty($_SERVER['REMOTE_ADDR']) ?
                '' : $_SERVER['REMOTE_ADDR'];
        return $data;   
    }
    
    public function insert(array $data)
    {
        //@todo INSERT DELAYED
        return parent::insert($this->_fillRow($data));
    }
    
    public function update(array $data, $where) 
    {
        return parent::update($this->_fillRow($data), $where);
    }
    
    /**
     * Return visitor row
     *
     * @return Zend_Db_Table_Row_Abstract
     */
    public function getVisitorInfo($visitorId)
    {
        return $this->find($visitorId)->current();
    }
}