<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_Log
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * @var Ecart_Install_Model_Installer
 */
$installer = Ecart::single('install/installer');

$installer->startSetup();


/**
 * drop tables:
 *  log_url,
 *  log_url_info,
 *  log_visitor,
 *  log_visitor_info
 */

$installer->run("

DROP TABLE IF EXISTS `{$installer->getTable('log_url')}`;

DROP TABLE IF EXISTS `{$installer->getTable('log_url_info')}`;

DROP TABLE IF EXISTS `{$installer->getTable('log_visitor')}`;

DROP TABLE IF EXISTS `{$installer->getTable('log_visitor_info')}`;

");

Ecart::single('core/config_field')->remove('log/main/enabled');
Ecart::single('core/config_value')->remove('log/main/enabled');

Ecart::single('admin/menu')->remove('Catalog->Reports->Pageviews');

Ecart::single('admin/acl_resource')->remove('admin/log');
    
//Ecart::single('core/template_box')
//    ->remove('Ecart_Log_Visitor')
//    ->remove('Ecart_Log_Customer');

$installer->unregisterModule('Ecart_Log');

$installer->endSetup();