<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.

 * @category    Ecart
 * @package     Ecart_PaymentCheckMoney
 * @author      Ecart Core Team <core@ecartcommerce.com>
 */

/**
 * @var Ecart_Install_Model_Installer
 */
$installer = Ecart::single('install/installer');

$installer->startSetup();

Ecart::single('core/config_field')
    ->add('payment/CheckMoney_Standart/enabled', 'Payment Methods/Check & Money Order/Enabled', '0', 'bool', 'Do you want to accept CheckMoney payments?')
    ->add('payment/CheckMoney_Standart/title', 'Title', 'Check & Money Order', 'string', 'Title')
    ->add('payment/CheckMoney_Standart/geozone', 'Payment zone', '1', 'select', 'If a zone is selected, only enable this payment method for that zone.', array('model' => 'Geozone'))
    ->add('payment/CheckMoney_Standart/sortOrder', 'Sort Order', '1', 'string', 'Sort Order Lowest is displayed first.')
    ->add('payment/CheckMoney_Standart/orderStatusId', 'Order Status on payment complete', '1', 'select', 'Set the status of orders made with this payment module to this value', /*array('model' => 'OrderStatus')*/array('config_options' => '{"1":"pending"}'))
    ->add('payment/CheckMoney_Standart/minOrderTotal', 'Minimum order total amount', '', 'string', 'Minimum Order Total')
    ->add('payment/CheckMoney_Standart/maxOrderTotal', 'Maximum order total amount', '', 'string', 'Maximum Order Total')
    ->add('payment/CheckMoney_Standart/payTo', 'Make check payable to', 'The Ecart Store Company', 'string', 'Who should payments be made payable to?')
    ->add('payment/CheckMoney_Standart/sendCheckTo', 'Send your check to', 'Store Name <br />Address <br />Country <br />Phone', 'text', ' This is the Store Name, Address and Phone used on printable documents and displayed online')
    ->add('payment/CheckMoney_Standart/shippings', 'Allowed Shippings', '0', 'multiple', 'If a shippings method is selected, only enable this shipping method for that shippings.', array('model' => 'Shipping'));

$installer->registerModule('Ecart_PaymentCheckMoney');

$installer->endSetup();