<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_PaymentPaypal
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * @var Ecart_Install_Model_Installer
 */
$installer = Ecart::single('install/installer');

$installer->startSetup();

$installer->run("

-- DROP TABLE IF EXISTS `{$installer->getTable('payment_paypal_standart_order')}`;
CREATE TABLE  `{$installer->getTable('payment_paypal_standart_order')}` (
  `order_id` int(10) unsigned NOT NULL,
  `trans_id` varchar(128) NOT NULL,
  `status` varchar(32) NOT NULL,
  PRIMARY KEY  USING BTREE (`order_id`),
  CONSTRAINT `FK_paymnet_paypalstandart_order_1` FOREIGN KEY (`order_id`) REFERENCES `{$installer->getTable('sales_order')}` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

");

Ecart::single('core/config_field') 
    ->add('payment/Paypal_Standart/title', 'Payment Methods/Paypal Standart/Title', 'Paypal Standart')
    ->add('payment/Paypal_Standart/name', 'Paypal business name', 'Ecart Paypal Standart Payment')
    ->add('payment/Paypal_Standart/email', 'Paypal business email', 'REQUIRED', 'handler', '', array('model' => 'Crypt'))
    ->add('payment/Paypal_Standart/logo', 'Paypal Logo Image URL', 'logo.gif', 'string', 'Maximum image size is 750x90 px')
    ->add('payment/Paypal_Standart/sandboxMode', 'Sandbox Mode', 1, 'bool')
    ->add('payment/Paypal_Standart/isDebugMode', 'Debug Mode', 1, 'bool')
    ->add('payment/Paypal_Standart/enabled', 'Enabled', 0 , 'bool', 'Do you want to accept Paypal payments?')
    ->add('payment/Paypal_Standart/paymentAction', 'Payment Action', 'Sale', 'select', 'Payment Action: Default: Sale (Sale, Authorization)', array('config_options' => 'Authorization,Sale'))
    ->add('payment/Paypal_Standart/type', 'Payment Action', 'IPN', 'select', 'Type', array('config_options' => 'IPN'))
    ->add('payment/Paypal_Standart/transactionType', 'Transaction Type', 'Aggregate Cart', 'select', 'Transaction Type', array('config_options' => 'Aggregate Cart,Individual Item'))
    ->add('payment/Paypal_Standart/geozone', 'Allowed Payment Zone',  '1', 'select', 'If a zone is selected, only enable this payment method for that zone.', array('model' => 'Geozone'))
    ->add('payment/Paypal_Standart/sortOrder', 'Sort Order', '1', 'string', 'Sort Order Lowest is displayed first.')
    ->add('payment/Paypal_Standart/url', 'Paypal url', 'https://www.sandbox.paypal.com/cgi-bin/webscr')
    ->add('payment/Paypal_Standart/debugUrl', 'Paypal debug url', 'https://www.sandbox.paypal.com/cgi-bin/webscr')
    ->add('payment/Paypal_Standart/orderStatusId', 'Set pending order status', '1', 'select', 'Set the status of orders made with this payment module to this value', /*array('model' => 'OrderStatus')*/array('config_options' => '{"1":"pending"}'))
    ->add('payment/Paypal_Standart/shippings', 'Allowed Shippings', '0', 'multiple', 'If a shippings method is selected, only enable this shipping method for that shippings.', array('model' => 'Shipping'))
    
    ->add('payment/Paypal_Direct/title', 'Payment Methods/Paypal Direct/Title', 'Paypal Direct', 'string', 'Title')
    ->add('payment/Paypal_Direct/enabled', 'Enabled', 0, 'bool', 'Do you want to accept Paypal Direct payments?')
    ->add('payment/Paypal_Direct/geozone', 'Allowed Payment Zone',  '1', 'select', 'If a zone is selected, only enable this payment method for that zone.', array('model' => 'Geozone'))
    ->add('payment/Paypal_Direct/sortOrder', 'Sort Order', '1', 'string', 'Sort Order Lowest is displayed first.')
    ->add('payment/Paypal_Direct/orderStatusId', 'Default Order Status', 0, 'select', 'Set the status of orders made with this payment module to this value', array('model' => 'OrderStatus'))
    ->add('payment/Paypal_Direct/enabledCvv', 'Accept verification code', '1', 'bool', 'Do you want validate cvv on Credit Card Order payments?')
    ->add('payment/Paypal_Direct/creditCard', 'Accepted Credit Cards', 'Visa', 'multiple', 'Types credit cards used in this payment', array('model' => 'CreditCard'))
    ->add('payment/Paypal_Direct/saveCCAction', 'Save credit card number action', 'last_four', 'select', 'How would you like to save credit card number', array('model' => 'CreditCard_SaveNumberAction'))
    ->add('payment/Paypal_Direct/saveCvv', 'Save verification code', '0', 'bool', 'Set \'yes\' if want to save cvv code')
    ->add('payment/Paypal_Direct/server', 'Live or Sandbox', 'sandbox', 'select', 'Live: Used to process Live transactions Sandbox: For developers and testing', array('config_otions' => 'live,sandbox'))
    ->add('payment/Paypal_Direct/paymentAction', 'Payment Action', 'Sale', 'select', 'How do you want to obtain payment?', array('config_options' => 'Authorization,Sale'))
    ->add('payment/Paypal_Direct/currency', 'Transaction Currency',  'USD', 'select', 'Which currency should the order be sent to PayPal?   If an unsupported currency is sent to PayPal, it will be auto-converted to USD (or GBP if using UK account)', array('model' => 'Currency'))
    ->add('payment/Paypal_Direct/mode', 'PayPal Api Mode',  'nvp', 'select', 'Which PayPal API system should be used for processing?', array('config_options' => 'nvp,payflow'))
    ->add('payment/Paypal_Direct/debugging', 'Debug Mode',  'Off', 'select', 'Would you like to enable debug mode?  A complete detailed log of failed transactions will be emailed to the store owner.', array('config_options' => 'Off,Alerts Only,Log File,Log and Email'))
    ->add('payment/Paypal_Direct/shippings', 'Allowed Shippings', '0', 'multiple', 'If a shippings method is selected, only enable this shipping method for that shippings.', array('model' => 'Shipping'))
    
    ->add('payment/Paypal_Express/title', 'Payment Methods/Paypal Express/Title', 'Paypal Express', 'string', 'Title')
    ->add('payment/Paypal_Express/enabled', 'Enabled', 0, 'bool', 'Do you want to accept Paypal Express Checkout payments?')
    ->add('payment/Paypal_Express/server', 'Live or Sandbox', 'sandbox', 'select', 'Live: Used to process Live transactions Sandbox: For developers and testing', array('config_otions' => 'live,sandbox'))
    ->add('payment/Paypal_Express/mode', 'PayPal Api Mode', 'nvp', 'select', 'set mode Paypal Express Checkout payments (nvp, payflow)', array('config_options' => 'nvp,payflow'))
    ->add('payment/Paypal_Express/orderStatusId', 'Order Status on payment complete', '2', 'select', 'Set the status of orders made with this payment module to this value', array('config_options' => '{"2":"processing"}'))
    ->add('payment/Paypal_Express/transactionMode', 'Payment Action', 'Sale', 'select', 'How do you want to obtain payment? Default: Sale (Sale, Order, Authorization)', array('config_options' => 'Authorization,Sale,Order'))
    ->add('payment/Paypal_Express/shippings', 'Allowed Shippings', '0', 'multiple', 'If a shippings method is selected, only enable this shipping method for that shippings.', array('model' => 'Shipping'))
    
    ->add('payment/payflow/pfuser', 'Payment Methods/PayPal Payflow Api/PAYFLOW: User', '', 'handler', 'If you set up one or more additional users on the account, this value is the ID of the user authorized to process transactions. Otherwise it should be the same value as VENDOR. This value is case-sensitive.', array('model' => 'Crypt'))
    ->add('payment/payflow/pfpartner', 'PAYFLOW: Partner', 'Ecart', 'handler', 'Your Payflow Partner linked to your Payflow account. This value is case-sensitive.  Typical values: <strong>PayPal</strong> or <strong>Ecart</strong>', array('model' => 'Crypt'))
    ->add('payment/payflow/pfvendor', 'PAYFLOW: Vendor', '', 'handler', 'Your merchant login ID that you created when you registered for the Payflow Pro account. This value is case-sensitive.', array('model' => 'Crypt'))
    ->add('payment/payflow/pfpassword', 'PAYFLOW: Password', '', 'handler',  'The 6- to 32-character password that you defined while registering for the account. This value is case-sensitive.', array('model' => 'Crypt'))
    
    ->add('payment/nvp/apiusername', 'Payment Methods/PayPal NVP Api/API Signature -- Username', '0m3r.m_1216906921_biz_api1.gmail.com', 'handler', 'The API Username from your PayPal API Signature settings under *API Access*. This value typically looks like an email address and is case-sensitive.', array('model' => 'Crypt'))
    ->add('payment/nvp/apipassword', 'API Signature -- Password', '1216906927', 'handler', 'The API Password from your PayPal API Signature settings under *API Access*. This value is a 16-character code and is case-sensitive.', array('model' => 'Crypt'))
    ->add('payment/nvp/apisignature', 'API Signature -- Signature', 'AQU0e5vuZCvSg-XJploSa.sGUDlpAAs8CFF61pgtQd-koEjQB2Y7qqYA', 'handler', 'The API Signature from your PayPal API Signature settings under *API Access*. This value is a 56-character code, and is case-sensitive.', array('model' => 'Crypt'))
    ->add('payment/nvp/version', 'VERSION', '3.2', 'string', 'Used protocol Paypal version');

$installer->registerModule('Ecart_PaymentPaypal');

$installer->endSetup();