<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_Poll
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * 
 * @category    Ecart
 * @package     Ecart_Poll
 * @subpackage  Model
 * @author      Ecart Core Team <core@ecartcommerce.com>
 */
class Ecart_Poll_Model_Question_Row extends Ecart_Db_Table_Row
{
	public function getTotalCount()
	{
		return $this->getAdapter()->fetchOne(
            'SELECT  COUNT(*) FROM ' . self::$_db_prefix . 'poll_vote as  pv ' .  
		    'INNER JOIN ' . self::$_db_prefix . 'poll_answer pa ON pa.id = pv.answer_id ' .
		    'WHERE pa.question_id = ?',
            $this->id
        );
	}
	
    public function getResults()
    {
        $result = $this->getAdapter()->fetchAssoc(
            'SELECT pv.answer_id, count(*) as cnt ' .
            'FROM ' . self::$_db_prefix . 'poll_vote pv ' .
            'INNER JOIN ' . self::$_db_prefix . 'poll_answer pa ON pa.id = pv.answer_id ' .
            'WHERE pa.question_id = ? ' .
            'GROUP BY pv.answer_id ' .
            'ORDER BY cnt' ,
            $this->id
        );
        return $result;
    }
    
    public function isMultiQuestion()
    {
        return $this->type == 1;
    }
}