<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_Poll
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * 
 * @category    Ecart
 * @package     Ecart_Poll
 * @subpackage  Model
 * @author      Ecart Core Team <core@ecartcommerce.com>
 */
class Ecart_Poll_Model_Question_Site extends Ecart_Db_Table
{
    protected $_name = 'poll_question_site';
    
    public function set($sitesIds, $questionId)
    {
        $this->delete($this->getAdapter()->quoteInto('question_id = ?', $questionId));
        foreach ($sitesIds as $siteId )
            if ($siteId != '')
                $this->insert(array('question_id' => $questionId, 'site_id' => $siteId ));
    }
        
    public function getSitesNamesAssigns()
    {
    	$query = 'SELECT qts.question_id, s.id, s.name FROM ' . $this->_name . ' as qts' .
            ' LEFT JOIN ' . self::$_db_prefix . 'core_site as s ON s.id = qts.site_id';
        $rows = $this->getAdapter()->fetchAll($query);
        $assigns = array();
        foreach ($rows as $row) {
        	$assigns[$row['question_id']][$row['id']] = $row['name'];
        }
        return $assigns;
    }
    
    public function getSitesIds($questionId) {
        return $this->getAdapter()->fetchCol(
            'SELECT site_id FROM ' . $this->_name . ' WHERE question_id = ?', 
            $questionId
        );
    }
}