<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_ShippingFedex
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * @var Ecart_Install_Model_Installer
 */
$installer = Ecart::single('install/installer');

$installer->startSetup();

Ecart::single('core/config_field')
    ->add('shipping/Fedex_Standart/enabled', 'Shipping Methods/Fedex/Enabled', '0', 'bool')
    ->add('shipping/Fedex_Standart/geozone', 'Shipping Zone', '1', 'select', 'If a zone is selected, only enable this shipping method for that zone.', array('model' => 'Geozone'))
    ->add('shipping/Fedex_Standart/taxBasis', 'Tax Basis', 'None', 'select', 'On what basis is Shipping Tax calculated. Options are.Shipping - Based on customers Shipping AddressBilling Based on customers Billing addressStore - Based on Store address if Billing/Shipping Zone equals Store zone', array('model' => 'TaxBasis'))
    ->add('shipping/Fedex_Standart/taxClass', 'Tax Class', '', 'select', 'Used for this shipping method(s) tax class', array('model' => 'TaxClass'))
    ->add('shipping/Fedex_Standart/sortOrder', 'Sort Order', '0')
    ->add('shipping/Fedex_Standart/payments', 'Allowed Payments', '0', 'multiple', 'If a payment method is selected, only enable this shipping method for that payments.', array('model' => 'Payment'))
    
    ->add('shipping/Fedex_Standart/title', 'Title', 'Fedex Express')
    
    ->add('shipping/Fedex_Standart/account', 'Account Id', '', 'handler', '', array('model' => 'Crypt'))

    ->add('shipping/Fedex_Standart/package', 'Packaging?', 'YOURPACKAGING', 'select',
        'FEDEXENVELOPE - FedEx Envelope, FEDEXPAK  - FedEx Pak, FEDEXBOX - FedEx Box, FEDEXTUBE - FedEx Tube, FEDEX10KGBOX - FedEx 10kg Box, FEDEX25KGBOX - FedEx 25kg Box, YOURPACKAGING - Your Packaging',
        array('config_options' => 'FEDEXENVELOPE,FEDEXPAK,FEDEXBOX,FEDEXTUBE,FEDEX10KGBOX,FEDEX25KGBOX,YOURPACKAGING')
    )
    ->add('shipping/Fedex_Standart/dropoff', 'Dropoff?', 'REGULARPICKUP', 'select',
        'REGULARPICKUP - Regular Pickup, REQUESTCOURIER - Request Courier, DROPBOX - Drop Box, BUSINESSSERVICECENTER - Business Service Center, STATION - Station',
        array('config_options' => 'REGULARPICKUP,REQUESTCOURIER,DROPBOX,BUSINESSSERVICECENTER,STATION')
    )
    ->add('shipping/Fedex_Standart/allowedTypes', 'Allowed methods', 'REGULARPICKUP', 'multiple',
        'PRIORITYOVERNIGHT - Priority Overnight, STANDARDOVERNIGHT - Standard Overnight, FIRSTOVERNIGHT - First Overnight, FEDEX2DAY - 2Day,FEDEXEXPRESSSAVER - Express Saver,INTERNATIONALPRIORITY - International Priority,INTERNATIONALECONOMY - International Economy,INTERNATIONALFIRST - International First,FEDEX1DAYFREIGHT - 1 Day Freight, FEDEX2DAYFREIGHT - 2 Day Freight, FEDEX3DAYFREIGHT - 3 Day Freight, FEDEXGROUND - Ground, GROUNDHOMEDELIVERY - Home Delivery, INTERNATIONALPRIORITY FREIGHT - Intl Priority Freight, INTERNATIONALECONOMY FREIGHT - Intl Economy Freight, EUROPEFIRSTINTERNATIONALPRIORITY - Europe First Priority',
        array('config_options' => 'PRIORITYOVERNIGHT,STANDARDOVERNIGHT,FIRSTOVERNIGHT,FEDEX2DAY,FEDEXEXPRESSSAVER,INTERNATIONALPRIORITY,INTERNATIONALECONOMY,INTERNATIONALFIRST,FEDEX1DAYFREIGHT, FEDEX2DAYFREIGHT,FEDEX3DAYFREIGHT,FEDEXGROUND,GROUNDHOMEDELIVERY,INTERNATIONALPRIORITY FREIGHT, INTERNATIONALECONOMY FREIGHT,EUROPEFIRSTINTERNATIONALPRIORITY')
    )
    ->add('shipping/Fedex_Standart/measure', 'UPS Weight Unit', 'LBS', 'select', 'LBS or KGS', array('config_options' => 'LBS,KGS'))
    ->add('shipping/Fedex_Standart/residenceDelivery', 'Residential Delivery', '0', 'bool')
    ->add('shipping/Fedex_Standart/gateway', 'Fedex Gateway Url', 'https://gateway.fedex.com/GatewayDC')
    ->add('shipping/Fedex_Standart/handling', 'Handling Fee', '0', 'string', 'Handling fee for this shipping method.')
;

$installer->registerModule('Ecart_ShippingFedex');

$installer->endSetup();