<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_ShippingFlat
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */
 
/**
 * @var Ecart_Install_Model_Installer
 */
$installer = Ecart::single('install/installer');

$installer->startSetup();

Ecart::single('core/config_field')
    ->add('shipping/Flat_Standart/enabled', 'Shipping Methods/Flat Rate Standart/Enabled', 1, 'bool', 'Do you want to offer flat rate shipping?')
    ->add('shipping/Flat_Standart/geozone', 'Shipping Zone', '1', 'select', 'If a zone is selected, only enable this shipping method for that zone.', array('model' => 'Geozone'))
    ->add('shipping/Flat_Standart/taxBasis', 'Tax Basis', 'None', 'select', 'On what basis is Shipping Tax calculated. Options are.Shipping - Based on customers Shipping AddressBilling Based on customers Billing addressStore - Based on Store address if Billing/Shipping Zone equals Store zone', array('model' => 'TaxBasis'))
    ->add('shipping/Flat_Standart/taxClass', 'Tax Class', '', 'select', 'Use the following tax class on the shipping fee.', array('model' => 'TaxClass'))
    ->add('shipping/Flat_Standart/sortOrder', 'Sort Order', '0')
    ->add('shipping/Flat_Standart/multiPrice', 'Multi Price', '25', 'handler', '', array('model' => 'ShippingFlatRateMultiPrice'))
    ->add('shipping/Flat_Standart/type', 'Type', 'Per Order', 'select', 'The shipping cost is based on:', array('config_options' => 'Per Order,Per Item'))
    ->add('shipping/Flat_Standart/formDesc', 'Checkout Description', 'Flat Rate')
    ->add('shipping/Flat_Standart/payments', 'Allowed Payments', '0', 'multiple', 'If a payment method is selected, only enable this shipping method for that payments.', array('model' => 'Payment'));
    
$installer->registerModule('Ecart_ShippingFlat');

$installer->endSetup();