<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_ShippingFree
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * @var Ecart_Install_Model_Installer
 */
$installer = Ecart::single('install/installer');

$installer->startSetup();

Ecart::single('core/config_field')
    ->add('shipping/Free_Standart/enabled', 'Shipping Methods/Free Shipping Standart/Enabled', 0, 'bool', 'Do you want to offer Free shipping?')
    ->add('shipping/Free_Standart/geozone', 'Shipping Zone', '1', 'select', 'If a zone is selected, only enable this shipping method for that zone.', array('model' => 'Geozone'))
    ->add('shipping/Free_Standart/taxClass', 'Tax Class', '', 'select', 'Use the following tax class on the shipping fee.', array('model' => 'TaxClass'))
    ->add('shipping/Free_Standart/sortOrder', 'Sort Order', '0')
    ->add('shipping/Free_Standart/handling', 'Handling Fee', '0', 'string', 'Handling fee for this shipping method.')
    ->add('shipping/Free_Standart/cost', 'Free Shipping Cost', '0', 'string', 'What is the Shipping cost?')
    ->add('shipping/Free_Standart/payments', 'Allowed Payments', '0', 'multiple', 'If a payment method is selected, only enable this shipping method for that payments.', array('model' => 'Payment'));
    
$installer->registerModule('Ecart_ShippingFree');

$installer->endSetup();