<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_ShippingTable
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */
 
 /**
 * @var Ecart_Install_Model_Installer
 */
$installer = Ecart::single('install/installer');

$installer->startSetup();


$installer->run("

-- DROP TABLE IF EXISTS `{$installer->getTable('shippingtable_rate')}`;
CREATE TABLE  `{$installer->getTable('shippingtable_rate')}` (
    `id` int(10) unsigned NOT NULL auto_increment,
    `site_id` smallint(5) NOT NULL default '0',
    `country_id` mediumint(8) NOT NULL default '0',
    `zone_id` mediumint(8) NOT NULL default '0',
    `zip` varchar(10) NOT NULL,
    `value` decimal(12,4) NOT NULL default '0.0000',
    `price` decimal(12,4) NOT NULL default '0.0000',
    PRIMARY KEY  USING BTREE (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8

");


Ecart::single('core/config_field')
    ->add('shipping/Table_Standart/enabled', 'Shipping Methods/Table Standart/Enabled', '0', 'bool', 'Do you want to use this shippings method(s)?')
    ->add('shipping/Table_Standart/geozone', 'Shipping Zone', '1', 'select', 'If a zone is selected, only enable this shipping method for that zone.', array('model' => 'Geozone'))
    ->add('shipping/Table_Standart/taxBasis', 'Tax Basis', 'None', 'select', 'On what basis is Shipping Tax calculated. Options are.Shipping - Based on customers Shipping AddressBilling Based on customers Billing addressStore - Based on Store address if Billing/Shipping Zone equals Store zone', array('model' => 'TaxBasis'))
    ->add('shipping/Table_Standart/taxClass', 'Tax Class', '', 'select', 'Use the following tax class on the shipping fee.', array('model' => 'TaxClass'))
    ->add('shipping/Table_Standart/sortOrder', 'Sort Order', '0')
    ->add('shipping/Table_Standart/handling', 'Handling Fee', '0', 'string', 'Handling fee for this shipping method.')
    ->add('shipping/Table_Standart/import', 'Import', 'shippingtable.csv', 'handler', 'File at ECART_ROOT/var/export folder, with shipping rates', array('model' => 'ShippingTableRateImport'))
    ->add('shipping/Table_Standart/export', 'Export', 'shippingtable_export.csv', 'handler', 'File will be written to ECART_ROOT/var/export folder', array('model' => 'ShippingTableRateExport'))
    ->add('shipping/Table_Standart/type', 'Table Method', 'Per Price', 'select', 'The shipping cost is based on the order total or the total weight of the items ordered or the total number of items orderd.', array('config_options' => 'Per Price,Per Weight,Per Item'))
    ->add('shipping/Table_Standart/payments', 'Allowed Payments', '0', 'multiple', 'If a payment method is selected, only enable this shipping method for that payments.', array('model' => 'Payment'))
    ->add('shipping/Table_Standart/formDesc', 'Checkout Description', 'Table Rate');
    
$installer->registerModule('Ecart_ShippingTable');

$installer->endSetup();