<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_ShippingUsps
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * @var Ecart_Install_Model_Installer
 */
$installer = Ecart::single('install/installer');

$installer->startSetup();

Ecart::single('core/config_field')
    ->add('shipping/Usps_Standart/enabled', 'Shipping Methods/Usps Standart/Enabled', '0', 'bool', 'Do you want to use this shippings method(s)?')
    ->add('shipping/Usps_Standart/taxClass', 'Tax Class', '', 'select', 'Used for this shipping method(s) tax class', array('model' => 'TaxClass'))
    ->add('shipping/Usps_Standart/taxBasis', 'Tax Basis', 'None', 'select', 'On what basis is Shipping Tax calculated. Options are.Shipping - Based on customers Shipping AddressBilling Based on customers Billing addressStore - Based on Store address if Billing/Shipping Zone equals Store zone', array('model' => 'TaxBasis'))
    ->add('shipping/Usps_Standart/geozone', 'Shipping Zone', '1', 'select', 'If a zone is selected, only enable this shipping method for that zone.', array('model' => 'Geozone'))
    ->add('shipping/Usps_Standart/handling', 'Handling price', '5')
    ->add('shipping/Usps_Standart/sortOrder', 'Sort Order', '0')
    ->add('shipping/Usps_Standart/payments', 'Allowed Payments', '0', 'multiple', 'If a payment method is selected, only enable this shipping method for that payments.', array('model' => 'Payment'))
    ->add('shipping/Usps_Standart/title', 'Title', 'United States Postal Service')

    ->add('shipping/Usps_Standart/gateway', 'Gateway Url', 'http://production.shippingapis.com/ShippingAPI.dll')
    ->add('shipping/Usps_Standart/service', 'Allowed Service', 'FIRST CLASS,PRIORITY,EXPRESS,BPM,PARCEL,MEDIA,LIBRARY', 'multiple', array('config_options' => '{"FIRST CLASS":"First-Class","PRIORITY":"Priority Mail","EXPRESS":"Express Mail","BPM":"Bound Printed Matter","PARCEL":"Parcel Post","MEDIA":"Media Mail","LIBRARY":"Library"}'))
    ->add('shipping/Usps_Standart/userId', 'User ID', '', 'handler', '', array('model' => 'Crypt'))
    ->add('shipping/Usps_Standart/container', 'Container', 'VARIABLE', 'select', '', array('config_options' => '{"VARIABLE":"Variable","FLAT RATE BOX":"Flat-Rate Box","FLAT RATE ENVELOPE":"Flat-Rate Envelope" ,"RECTANGULAR":"Rectangular","NONRECTANGULAR":"Non-rectangular"}'))
    ->add('shipping/Usps_Standart/size', 'Size', 'REGULAR', 'select', '', array('config_options' => '{"REGULAR":"Regular","LARGE":"Large","OVERSIZE":"Oversize"}'))
    ->add('shipping/Usps_Standart/machinable', 'Machinable', '1', 'bool')
    ->add('shipping/Usps_Standart/allowedMethods', 'Allowed Shipping Methods', 'Bound Printed Matter,Express Mail,Express Mail Flat-Rate Envelope,Express Mail Flat-Rate Envelope Hold For Pickup,Express Mail Flat-Rate Envelope Sunday/Holiday Guarantee,Express Mail Hold For Pickup,Express Mail International (EMS),Express Mail International (EMS) Flat-Rate Envelope,Express Mail PO to PO,Express Mail Sunday/Holiday Guarantee,Express Mail to PO Addressee,First Class Mail International Large Envelope,First Class Mail International Letters,First Class Mail International Package,First-Class,First-Class Mail,First-Class Mail Flat,First-Class Mail International,First-Class Mail Letter,First-Class Mail Parcel,Global Express Guaranteed,Global Express Guaranteed Non-Document Non-Rectangular,Global Express Guaranteed Non-Document Rectangular,Library Mail,Media Mail,Parcel Post,Priority Mail,Priority Mail Flat-Rate Box,Priority Mail Flat-Rate Envelope,Priority Mail International,Priority Mail International Flat-Rate Box,Priority Mail International Flat-Rate Envelope,Priority Mail International Large Flat-Rate Box,Priority Mail Large Flat-Rate Box,USPS GXG Envelopes', 'multiple', array('config_options' => 'Bound Printed Matter,Express Mail,Express Mail Flat-Rate Envelope,Express Mail Flat-Rate Envelope Hold For Pickup,Express Mail Flat-Rate Envelope Sunday/Holiday Guarantee,Express Mail Hold For Pickup,Express Mail International (EMS),Express Mail International (EMS) Flat-Rate Envelope,Express Mail PO to PO,Express Mail Sunday/Holiday Guarantee,First Class Mail International Large Envelope,First Class Mail International Letters,First Class Mail International Package,First-Class,First-Class Mail,First-Class Mail Flat,First-Class Mail International,First-Class Mail Letter,First-Class Mail Parcel,Global Express Guaranteed,Global Express Guaranteed Non-Document Non-Rectangular,Global Express Guaranteed Non-Document Rectangular,Library Mail,Media Mail,Parcel Post,Priority Mail,Priority Mail Flat-Rate Box,Priority Mail Flat-Rate Envelope,Priority Mail International,Priority Mail International Flat-Rate Box,Priority Mail International Flat-Rate Envelope,Priority Mail International Large Flat-Rate Box,Priority Mail Large Flat-Rate Box,USPS GXG Envelopes'))
    ;


$installer->registerModule('Ecart_ShippingUsps');

$installer->endSetup();