<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_Tag
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * @var Ecart_Install_Model_Installer
 */
$installer = Ecart::single('install/installer');

$installer->startSetup();

/**
 * drop tables: 
 *  tag_customer,
 *  tag_product
 */
$installer->run("

DROP TABLE IF EXISTS `{$installer->getTable('tag_customer')}`;

DROP TABLE IF EXISTS `{$installer->getTable('tag_product')}`;

");

Ecart::single('core/config_field')->remove('tag');
Ecart::single('core/config_value')->remove('tag');

Ecart::single('admin/menu')->remove('Modules->Tags');

Ecart::single('admin/acl_resource')->remove('admin/tag');
    
Ecart::single('core/page')
    ->remove('tag/*/*')
    ->remove('tag/index/*')
    ->remove('tag/index/show-products');

//Ecart::single('core/template_box')
//    ->remove('Ecart_Tag_Cloud')
//    ->remove('Ecart_Tag_Account')
//    ->remove('Ecart_Tag_Product');

$installer->unregisterModule('Ecart_Tag');

$installer->endSetup();