<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_Tax
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * 
 * @category    Ecart
 * @package     Ecart_Tax
 * @subpackage  Model
 * @author      Ecart Core Team <core@ecartcommerce.com>
 */
class Ecart_Tax_Model_Class extends Ecart_Db_Table
{
    /**
     * The default table name
     */
    protected $_name = 'tax_class';

    public function update(array $data, $where)
    {
        if (empty($data['modified_on'])) {
            $data['modified_on'] = Ecart_Date::now()->toZendDbExpr();
        }
        return parent::update($data, $where);
    }
    
    public function insert(array $data)
    {
        if (empty($data['created_on'])) {
            $data['created_on'] = Ecart_Date::now()->toZendDbExpr();
        }
        return parent::insert($data);
    }

    /**
     * Save data call backend
     * @param array $data
     */
    public function save($data)
    {
        if (!sizeof($data)) {
            return false;
        }
        $flag = true;
        foreach ($data as $id => $row) {
            if (isset($row['id'])) {// update
                $flag = $flag && (bool) $this->update(
                    array(
                        'name' => $row['name'],
                        'description' => $row['description']
                    ),
                    'id = ' . intval($id)
                );
                continue;
            }

            $flag = $flag && (bool) $this->insert(array(
                'name' => $row['name'],
                'description' => $row['description']
            ));
        }
        return $flag;
    }
}
