<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_Admin
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * 
 * @category    Ecart
 * @package     Ecart_Admin
 * @subpackage  Helper
 * @author      Ecart Core Team <core@ecartcommerce.com>
 */
class Ecart_View_Helper_Menu
{
    private $_menu = '';
    
    protected function _recursive(array $array, $id = null, $content = '') 
    {
        if (null === $id) {
            $content = '<ul id="nav">';
        } else {
            $content = '<ul>';
        }
        
        $arr = array();
        foreach ($array as $item) { 
            if ($item['parent_id'] === $id 
                && !isset($arr[$item['sort_order']])) {
                
                $arr[$item['sort_order']] = $item;
            }
        }
        ksort($arr);
        foreach ($arr as $item) { 
            $submenu = '';
            if (intval($item['has_children']) == 1) {
                $submenu = 'submenu';
            }
            $content .= '<li class="level' . $item['lvl'] 
                     . ' ' . $submenu . '"><a href="' 
                     . $this->view->baseUrl 
                     . $this->view->adminUrl . '/'
                     . ltrim($item['link'], '/ ') . '"><span>'
                     . Ecart::translate('admin')->__($item['title']) . '</span></a>' ;
            
            if (intval($item['has_children']) == 1) {
                $content .= $this->_recursive($array, $item['id'], $content);
            }
            $content .= '</li>';
        }
        unset($arr);
        return $content . '</ul>';
    }
     
    public function menu() 
    {   
        $this->_menu = $this->_recursive(
            Ecart::single('admin/menu')->getList()
        );
        return $this;
    }
    
    public function __toString()
    {
            return $this->_menu;
    }

    public function setView($view)
    {
            $this->view = $view;
    }
}