/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

Ecart.Attributes = {
    newId: 0,
    getId: function() {
        return --this.newId;
    },
    _attributes: {},
    
    clear: function() {
        this.newId = 0;
        this._attributes = {};
    },
    
    add: function(attribute) {
        this._attributes[attribute.id] = attribute;
    },
    
    exists: function(config) {
        return this.find(config) != false;
    },
    
    find: function(config) {
        for (var i in this._attributes) {
            var attr = this._attributes[i];
            var equal = true;
            for (var j in config) {
                if (config[j] != attr[j]) {
                    equal = false;
                    break;
                }
            }
            if (equal)
                return attr;
        }
        return false;
    }
};

Ecart.Attribute = function(config) {
    for (var i in config) {
        this[i] = config[i];
    }
}

Ecart.Attribute.prototype = {
    toSaveArray: function() {
        return {
            id: this.id,
            product_variation_id: this.product_variation_id,
            product_option_id: this.product_option_id,
            product_option_value_id: this.product_option_value_id,
            status: this.status
        };
    },
    
    render: function() {
    },
    
    isRemoved: function() {
        return this.status == 'removed';
    }
}