/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

Ext.onReady(function(){
    
    Ext.QuickTips.init();
    
    Ext.form.Field.prototype.msgTarget = 'side';
    
    var fileUploadField = new Ext.form.FileUploadField({
        id: 'manufacturer-image',
        emptyText: 'Select an image',
        fieldLabel: 'Image'.l(),
        name: 'manufacturer-image',
        buttonText: 'Browse'.l(),
        anchor: '95%',
        listeners: {
            'fileselected': function(el, value){
                //ajaxupload
                Spinner.show();
                
                $.ajaxFileUpload({
                    url: Ecart.baseUrl + Ecart.adminUrl + '/catalog_manufacturer/save-image',
                    secureuri: false,
                    fileElementId: 'manufacturer-image-file',
                    dataType: 'json',
                    success: function (data, status) {
                        Spinner.hide();
                        $('#window #img-preview').attr('src', Ecart.baseUrl + '/media/manufacturer' + data);
                    },
                    error: function (data, status, e) {
                        Spinner.hide();
                        alert(e);
                    }
                });
                Ext.getCmp('form').getForm().findField('data[image]').setValue(value);
            }
        }
    });
    
    var tabs = [{
        title: 'General'.l(),
        layout:'form',
        items: [{
            xtype: 'hidden',
            name: 'data[id]'
        }, {
            xtype: 'hidden',
            name: 'data[image]'
        }, {
            fieldLabel: 'Name'.l(),
            xtype: 'textfield',
            name: 'data[name]',
            anchor: '95%',
            allowBlank: false
        }, {
            fieldLabel: 'Url'.l(),
            xtype: 'textfield',
            name: 'data[url]',
            anchor: '95%',
            allowBlank: false
        }, fileUploadField, {
            xtype: 'box',
            height: 170,
            autoEl: {
                tag: 'div',
                cls: 'x-form-item',
                children: [{
                    tag: 'label',
                    cls: 'x-form-item-label',
                    html: 'Image preview'.l() + ':'
                }, {
                    tag: 'div',
                    cls: 'x-form-element',
                    html: '<img id="img-preview" src="" alt=""/>'
                }]
            }
        }]
    }, {
        title: 'Title'.l(),
        layout: 'form',
        items: fieldTitle //see index.phtml
    }]
    
    var form = new Ext.FormPanel({
        id: 'form',
        border: false,
        labelAlign: 'left',
        items: [{
            xtype: 'tabpanel',
            border: false,
            plain: true,
            activeTab: 0,
            deferredRender: false,
            layoutOnTabChange: true,
            defaults: {
                autoHeight:true,
                bodyStyle:'padding:10px'
            }, 
            items: tabs
        }]
    })
    
    var window = new Ext.Window({
        id: 'window',
        layout: 'fit',
        constrainHeader: true,
        resizable: true,
        closeAction: 'hide',
        width: 550,
        height: 365,
        title: 'Manufacturer'.l(),
        bodyStyle: 'background: white; padding-top: 7px',
        items: form,
        buttons:
        [{
            text: 'Save'.l(),
            handler: function(){
                form.getForm().submit({
                    url: Ecart.baseUrl + Ecart.adminUrl + '/catalog_manufacturer/save',
                    method: 'post',
                    success: function(){
                        window.hide();
                        Ext.getCmp('grid').store.reload();
                    }
                });
            }
        }, {
            text: 'Cancel'.l(),
            handler: function(){
                $('#window #img-preview').attr('src', '');
                window.hide();
            }
        }]
    })
})