/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

Ext.onReady(function(){
    
    var htmlEditor = new Ext.form.HtmlEditor({
        name: 'content',
        fieldLabel: 'Content'.l(),
        anchor: '99%',
        sourceEditMode: true,
        listeners: {
            'render': function(cmp) {
                cmp.tb.items.get('sourceedit').pressed = true;
                cmp.toggleSourceEdit(true);
            }
        }
    });
     
     blockForm = new Ext.form.FormPanel({
          labelWidth: 80,
          autoScroll: true,
          border: false,
          labelAlign: 'top',
          bodyStyle: 'padding: 5px 5px 0px 5px',
          reader: new Ext.data.JsonReader({
               root: 'block'
               },
               ['name', 'is_active', 'content']
          ),
          items: [{
               layout: 'column',
               border: false,
               bodyStyle: 'padding: 5px 0px 0px',
               items: [{
                    columnWidth: .5,
                    layout: 'form',
                    border: false,
                    items: [{
                         xtype: 'textfield',
                         fieldLabel: 'Name'.l(),
                         name: 'name',
                         allowBlank: false,
                         maxLength: 45,
                         anchor: '95%'
                    }]
               }, {
                    columnWidth: .5,
                layout: 'form',
                border: false,
                items: [{
                         fieldLabel: 'Status'.l(),
                    xtype: 'combo',
                    name: 'is_active',
                         emptyText: 'Select status'.l(),
                         hiddenName: 'is_active',
                         store: new Ext.data.SimpleStore({
                        fields: ['id', 'value'],
                        data: [['0', 'Disabled'], ['1', 'Enabled']]
                    }),
                         displayField: 'value',
                    valueField: 'id',
                    mode: 'local',
                    editable: false,
                    triggerAction: 'all',
                    anchor: '95%',
                    maxLength: 45
                }]
               }]
          }, htmlEditor]
     });
     
     blockWindow = new Ext.Window({
          closeAction: 'hide',
          plain: true,
          width: 640,
          height: 500,
          maximizable: true,
          layout: 'fit',
          title: 'Static Block'.l(),
          items: blockForm,
          buttons: 
          [{
               text: 'Save',
               handler: submitBlockForm
          },
          {
               text: 'Cancel',
               handler: function(){
                blockWindow.hide();
            }               
          }]
     })
     
     blockForm.on('resize', function(){
        blockWindow.doLayout();
    });
     
})

function submitBlockForm(){
    blockForm.getForm().submit({
        url: Ecart.baseUrl + Ecart.adminUrl + '/cms_block/save-block',
        params: {blockId: currentBlock},
        success: function(){
            blockWindow.hide();
            blockGrid.getStore().load();
        }
    })
}
