/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

Ext.onReady(function (){

    var storeSales = new Ext.data.Store({
        proxy: new Ext.data.HttpProxy({
            url: 'getSalesCustomer'// controller action
        }),
        reader: new Ext.data.JsonReader({
            root: 'ret' // name of Json array return url example ret = {ret:[{website:website_value},{store:store_value},...]}
        },[
            'website',
            'lifetime_sales',
            'average_sale'
        ])
    });
    
    var columnsSales = new Ext.grid.ColumnModel([
        {
        header: "Website".l(), 
        width: 175, 
        sortable: true, 
        dataIndex: 'website'
        },{
        header: "Lifetime Sales".l(), 
        width: 175, 
        sortable: true, 
        dataIndex: 'lifetime_sales'
        },{
        header: "Average Sale".l(), 
        width: 175, 
        sortable: true, 
        dataIndex: 'average_sale'
        }
        
    ]);      
            
    var gridSales = new Ext.grid.GridPanel({
        store: storeSales,
        cm: columnsSales,
        stripeRows: true,
        height:100,
        viewConfig: {
            forceFit: true,
            emptyText: 'No records found'.l()
        },
         border: false
    });
     
    var pSales = new Ext.Panel({
         title : 'Sales Statistic',
         collapsible : true,
         renderTo : 'view_sales_statistic',
         items : gridSales,
        width: 870
    })
});
