/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

Ext.onReady(function (){
    var storePageviews = new Ext.data.GroupingStore({
        proxy: new Ext.data.HttpProxy({
            url: Ecart.baseUrl + Ecart.adminUrl + '/log/list'
        }),
        reader: new Ext.data.JsonReader({
                root : 'data',
                totalProperty: 'count',
                id: 'id'
            },
            ['id', 'visitor_id', 'hit', 'url', 'pdate', 'refer', 'customer_email', 'customer_id']
        ),
        sortInfo: {field: 'hit', direction: "DESC"},
        remoteSort: true
    });
    
    var columnsPageviews = new Ext.grid.ColumnModel([
        {
            header: "Date".l(), 
            width: 100, 
            sortable: true,
            dataIndex: 'pdate'
        },{
            header: "url".l(), 
            width: 470, 
            sortable: true,
            dataIndex: 'url'
        }, {
            header: "Hit".l(), 
            width: 80, 
            dataIndex: 'hit',
            sortable: true 
        }
    ]); 
       
    var gridPageviews = new Ext.grid.EditorGridPanel({
        store: storePageviews,
        cm: columnsPageviews,
        viewConfig: {
            forceFit: true,
            emptyText: 'No records found'.l()
        },
        stripeRows: true,
        height : 550,
        renderTo: 'pageviews-grid',
        listeners: {
            'beforerender': function(cmp) {
                cmp.width = $('#ext-cmp-layout').width() - $('#ext-cmp-layout .sidebox').width();
            }
        }
    });

    storePageviews.load();
});