<?php
/**
 * Ecart
 *
 * This file is part of Ecart.
 *
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @category    Ecart
 * @package     Ecart_Test
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 *
 * @category    Ecart
 * @package     Ecart_Test
 * @author      Ecart Core Team <core@ecartcommerce.com>
 */
class Ecart_Bootstrap_Test extends Ecart_Bootstrap
{
    protected function _initLoader()
    {
        require_once 'Zend/Loader/Autoloader.php';
        $autoloader = Zend_Loader_Autoloader::getInstance();
        $autoloader->registerNamespace(array(
            'Ecart',
            'Image'
        ));
        return $autoloader;
    }
    
    protected function _initConfig()
    {
        $this->bootstrap('Loader');
        $config = Zend_Registry::get('config');
        
        Zend_Registry::set('config', new Ecart_Config($config, true));
        return Ecart::config();
    }

    protected function _initApp()
    {
        $this->bootstrap('Session');
        Zend_Registry::set('app', 'front');
        Ecart_Translate::getInstance();
    }
}