<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_Payment
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * 
 * @category    Ecart
 * @package     Ecart_Payment
 * @subpackage  Collect
 * @author      Ecart Core Team <core@ecartcommerce.com>
 */
class Ecart_Collect_CreditCard implements Ecart_Collect_Interface
{
    /**
     * @static
     * @var const array
     */
    static protected $_cards = array(
        'Visa'       => 'Visa',
        'MasterCard' => 'MasterCard',
        'Amex'       => 'American Express',
        'Discover'   => 'Discover',
        'Diners'     => 'Dinner credit card',
        'JCB'        => 'JCB credit card',
        'Solo'       => 'Solo Credit card',
        'Blance'     => 'Cart Blance Credit Card',
        'EnRoute'    => 'EnRoute Credit Card',
        'Switch'     => 'Switch Credit Card',
        'Maestro'    => 'Maestro Credit Card' 
    
    );

    /**
     *
     * @static
     * @return array
     */
    public static function collect()
    {
        return self::$_cards;
    }

    /**
     *
     * @static
     * @param string $id
     * @return string
     */
    public static function getName($id)
    {
        if (!$id) {
            return '';
        }
        if (strstr($id, ",")) {
            $ret = array();
            foreach(explode(",", $id) as $key) {
                if (array_key_exists($key, self::$_cards))
                    $ret[$key] = self::$_cards[$key]; 
            }
            if (count($ret) == count(self::$_cards)) {
                return 'All';
            }
            return implode(", ", $ret);        
        }
        return self::$_cards[$id];
    }
}