<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_Crypt
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * 
 * @category    Ecart
 * @package     Ecart_Crypt
 * @subpackage  Handler
 * @author      Ecart Core Team <core@ecartcommerce.com>
 */
class Ecart_Collect_Handler_Crypt implements  Ecart_Collect_Handler_Interface
{

    /**
     *
     * @static
     * @param string $value
     * @return string
     */
    public static function getSaveValue($value)
    {
        return Ecart_Crypt::factory()->encrypt($value);
    }

    /**
     *
     * @param string $value
     * @param Zend_View_Interface $view
     * @return string
     */
    public static function getHtml($value, Zend_View_Interface $view = null) 
    {
        return $view->formText(
            'confValue', 
            Ecart_Crypt::factory()->decrypt($value), 
            array('size' => '50')
        ); 
    }

    /**
     *
     * @param string $value
     * @return string
     */
    public static function getConfig($value)
    {
        return Ecart_Crypt::factory()->decrypt($value);
    }
}
