<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_Mail
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * 
 * @category    Ecart
 * @package     Ecart_Mail
 * @subpackage  Collect
 * @author      Ecart Core Team <core@ecartcommerce.com>
 */
class Ecart_Collect_MailBoxes implements Ecart_Collect_Interface
{
    /**
     *
     * @static
     * @return array
     */
    public static function collect()
    {
        $rows = Ecart::single('core/config_value')->fetchPairs(
            'path', 'value', 'path LIKE "mail/mailboxes/%"'
        );
        $result = array();
        foreach ($rows as $rowId => $rowValue) {
            $result[substr($rowId, 15)] = $rowValue;
        }
        return $result;
    }

    /**
     *
     * @static
     * @param int $id
     * @return string
     */
    public static function getName($id)
    {
        return Ecart::single('core/config_value')->fetchOne(
            'value', 
            'path LIKE "mail/mailboxes/%" AND SUBSTR(path,16) = ?',
            $id
        );
    }
    
    /* 
    public static function isReturned()
    {
        return true;
    } 
    */
}