<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_Form
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * 
 * @category    Ecart
 * @package     Ecart_Form
 * @author      Ecart Core Team <core@ecartcommerce.com>
 */
class Ecart_Form_Decorator_Colset extends Zend_Form_Decorator_Abstract
{
    public function render($content)
    {
        $form = $this->getElement();
        $translator     = $form->getTranslator();
        $items          = array();
        $view           = $form->getView();
        $i              = 0;
        foreach ($form->getColumns() as $item) {
            $item->setView($view)->setTranslator($translator);
            $items[] = '<div class="col-' . ++$i . '">' 
                . $item->render()
                . '</div>';
        }
        $elementContent = implode('', $items);
        
        if ($form->hasColumns()) {
            $class = $form->getAttrib('colsetClass');
            $elementContent = '<div class="' 
                . (null === $class ? 'col' . $i . '-set' : $class)
                . '">' . $elementContent . '</div>';
        }
        
        return $elementContent . $content;
    }
    
}