<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_Core
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * 
 * @category    Ecart
 * @package     Ecart_Core
 * @author      Ecart Core Team <core@ecartcommerce.com>
 */
class Ecart_Object
{
    protected $_data;
    
    public function getData($name = null)
    {
        if (null === $name) {
            return $this->_data;
        }
        $name = strtolower(preg_replace(array('/(.)([A-Z])/', '/(.)(\d+)/'), "$1_$2", $name));
        if (isset($this->_data[$name])) {
            return $this->_data[$name];
        }
        return null;
    }
    
    public function setData($name, $value)
    {
        $name = strtolower(preg_replace(array('/(.)([A-Z])/', '/(.)(\d+)/'), "$1_$2", $name));
        $this->_data[$name] = $value;
        return $this;
    }
    
    public function __get($name)
    {
        return $this->getData($name);
    }
    
    public function __set($name, $value)
    {
        return $this->setData($name, $value);
    }
    
    public function __call($name, $argunents)
    {
        $callName = substr($name, 3);
        $callName[0] = strtolower($callName[0]);
        switch (substr($name, 0, 3)) {
            case 'get':
                return $this->getData($callName);
                break;
            case 'set':
                if (!count($argunents)) {
                    $argunents[] = null;
                }
                return $this->setData($callName, $argunents[0]);
                break;
        }
        return  true;
    }
}