<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @category    Ecart
 * @package     Ecart_Pdf
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

require_once('dompdf/dompdf_config.inc.php');

/**
 *
 * @category    Ecart
 * @package     Ecart_Pdf
 * @author      Ecart Core Team <core@ecartcommerce.com>
 */
class Ecart_Pdf
{
    private $_DOMPDF;
  
    public function __construct()
    {
        //Zend_Loader::registerAutoload('Ecart_Pdf_Loader');
        $autoloader = Zend_Loader_Autoloader::getInstance();
        $autoloader->pushAutoloader(array('Ecart_Pdf_Loader', 'autoload'));

        $memoryLimit = intval(ini_get('memory_limit'));
        if ($memoryLimit < 64){
            ini_set("memory_limit", "64M");
        }
        $this->_DOMPDF = new DOMPDF();
    }
    
    public function setContent($content)
    {   // next page is <div style="page-break-before:always"></div>
        @$this->_DOMPDF->load_html($content);
    }
    
    public function getPdf($returnFileName = "sample.pdf")
    {
        @$this->_DOMPDF->render();
        @$this->_DOMPDF->stream($returnFileName);
    }   
}