<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_Pdf
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * 
 * @category    Ecart
 * @package     Ecart_Pdf
 * @author      Ecart Core Team <core@ecartcommerce.com>
 */
class Ecart_Pdf_Loader extends Zend_Loader
{
    /**
     *
     * @static
     * @param string $class
     * @param string $dirs [optional]
     */
    public static function loadClass($class, $dirs = null)
    {
        $filename = strtolower($class) . ".cls.php";
        require_once(DOMPDF_INC_DIR . "/$filename");
        parent::loadClass($class);
    }

    /**
     *
     * @static
     * @param string $class
     * @return <type>
     */
    public static function autoload($class)
    {
        try {
            self::loadClass($class);
            return $class;
        } catch (Ecart_Exception $e) {
            return false;
        }
    }
}