<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_Account
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * 
 * @category    Ecart
 * @package     Ecart_Account
 * @subpackage  Helper
 * @author      Ecart Core Team <core@ecartcommerce.com>
 */
class Ecart_View_Helper_Address
{
    private function _getCountry($id)
    {
        $country = Ecart::single('location/country')->find($id)->current();
        return $country->toArray();
    }
    
    private function _getZone($id)
    {
        return Ecart::single('location/zone')->find($id)->current()->toArray();
    }
    
    public function address($address, $EOL = '<br/>')
    {
        $content = '';
        $content .= empty($address['firstname']) && empty($address['lastname'])? '' : 
            $this->view->escape($address['firstname'] . ' ' . $address['lastname']) . $EOL;
        $content .= empty($address['street_address']) ? '' : 
            $this->view->escape($address['street_address']) . $EOL;
        $content .= empty($address['city']) && empty($address['postcode']) ? '' : 
            $this->view->escape($address['city'] . ' ' . $address['postcode']) . $EOL;
                 
        if (!empty($address['zone']['name']) || !empty($address['zone']['id']) || !empty($address['zone_id'])) {
            if (empty($address['zone']))
                $address['zone'] = $this->_getZone($address['zone_id']);
            if (empty($address['zone']['name']))
                $address['zone'] = $this->_getZone($address['zone']['id']);
            $content .= empty($address['zone']['name']) ? '' : 
                $this->view->escape($address['zone']['name']) . ', ';
        }
        if (empty($address['country']) && isset($address['country_id']))
            $address['country'] = $this->_getCountry($address['country_id']);
        $content .= empty($address['country']['name']) ? '' : 
            $this->view->escape($address['country']['name']) . $EOL; 
        return $content;
    }
    
    public function setView($view)
    {
        $this->view = $view;
    }
}