<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_View
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * 
 * @category    Ecart
 * @package     Ecart_View
 * @subpackage  Helper
 * @author      Ecart Core Team <core@ecartcommerce.com>
 */
class Ecart_View_Helper_Button
{
    /**
     * Generates and output button code
     * 
     * @param string $title
     * @param array $attributes
     * @param string $type link|button
     * @return string
     */
    public function button($title, array $attributes, $type = 'link')
    {
        $span = '<span class="right"><span class="left"><span class="icon">' . $title . '</span></span></span>';
        
        $attribute = '';
        foreach ($attributes as $attr => $value) {
            $attribute .= "{$attr}=\"{$value}\" ";
        }
        
        if (!isset($attributes['class'])) {
            $attribute .= 'class="button" ';
        }
        
        if ($type == 'link') {
            if (!isset($attributes['title'])) {
                $attribute .= "title=\"{$title}\" ";
            }
            return "<a {$attribute}>{$span}</a>";
        } else {
            return "<button {$attribute}>{$span}</button>";
        }
    }
}
