<?php
/**
 * Ecart
 *
 * This file is part of Ecart.
 *
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_Message
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * 
 * @category    Ecart
 * @package     Ecart_Message
 * @subpackage  Helper
 * @author      Ecart Core Team <core@ecartcommerce.com>
 */
class Ecart_View_Helper_Message
{
    private $_messages = array();
    
    public function __construct()
    {
        $this->_messages = Ecart_Message::getInstance()->get();
    }
    
    public function message()
    {
        return $this;
    }
    
    public function __toString()
    {
        $result = "";
        
        if (count($this->_messages)) {
            $result .= "<div id='messages'>";
            foreach ($this->_messages as $type => $messageArray) {
                $result .= "<ul class='{$type}-msg' title='{$type}'>";
                foreach ($messageArray as $message) {
                    $result .= "<li>{$message}</li>";
                }
                $result .= "</ul>";
            }
            $result .= "</div>";
        }
        
        return $result;
    }
}