<?php
/**
 * Ecart
 * 
 * This file is part of Ecart.
 * 
 * Ecart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Ecart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Ecart.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @category    Ecart
 * @package     Ecart_Payment
 * @copyright   Copyright 2008-2009 E-Cart LLC
 * @license     GNU Public License V3.0
 */

/**
 * 
 * @category    Ecart
 * @package     Ecart_Payment
 * @subpackage  Helper
 * @author      Ecart Core Team <core@ecartcommerce.com>
 */
class Ecart_View_Helper_PaymentForm
{
    /**
     * Return additional paymet form
     * @return string
     * @param object|string $payment
     * @param string $app[optional] 'front' | 'admin'
     * @param string $template example: 'view', 'form', 'process' etc 
     */
    public function paymentForm($paymentCode, $template, $app = null)
    {
        if ($paymentCode instanceof Ecart_Method_Payment_Model_Abstract) {
            $this->view->payment = $paymentCode;
            $paymentCode = $this->view->payment->getCode();
        } else {
            $this->view->payment = Ecart_Payment::getMethod($paymentCode);
        }
        
        if (null === $app) {
            $app = $this->view->applicationName;
        }
        
        $templatePath = $this->view->path . '/app/design/' . $app . '/' 
                      . $this->view->templateName . '/templates';
        
        $shortPath = 'payment' . str_replace('_', '/', strtolower($paymentCode)) 
                   . '/' . $template . '.phtml';
        
        if (is_readable($templatePath . '/' . $shortPath)) {
             return $this->view->render($shortPath);
        }
        
        return '';
    }
    
    public function setView($view)
    {
        $this->view = $view;
    }
}